package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.BannerInfo;


/**
*  service接口类
*/
public interface BannerInfoService{

    List<BannerInfo> getBannerInfoList(BannerInfo record);

    List<BannerInfo> getBannerInfoByPage(Page page, BannerInfo record);

    BannerInfo getBannerInfoById(String id);

    BannerInfo getBannerInfo(BannerInfo record);

    boolean createBannerInfo(BannerInfo record);

    boolean deleteBannerInfo(String id);

    boolean updateBannerInfo(BannerInfo record);
}

